<!--
Vulnerability and eXposure Markup Language (VuXML) version 1.0.

Namespace = http://www.vuxml.org/apps/vuxml-1

This DTD module is identified by the PUBLIC and SYSTEM identifiers:

PUBLIC "-//vuxml.org//ELEMENTS VuXML 1.0 Document Model//EN"
SYSTEM "http://www.vuxml.org/dtd/vuxml-1/vuxml-model-10.mod"

Copyright (c) 2004 Jacques A. Vidrine
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
-->
<!--
The current version of VuXML is 1.0.  The minor version number
will be bumped for any non-incompatible changes that are
made to the document model.  Incompatible changes will be
accompanied by a change in the major version number, as well
as a change in the XML namespace.
-->
<!ENTITY % vuxml.version "1.0" >
<!ENTITY % vuxml.version.attrib "version CDATA #FIXED '%vuxml.version;'" >

<!-- namespace support -->
<!ENTITY % vuxml.xmlns.attrib  "%NS.decl.attrib;" >
<!ENTITY % vuxml.Common.attrib "%vuxml.xmlns.attrib; id ID #IMPLIED" >

<!-- Qualified names -->
<!ENTITY % vuxml.vuxml.qname "%vuxml.pfx;vuxml" >
<!ENTITY % vuxml.vuln.qname "%vuxml.pfx;vuln" >
<!ENTITY % vuxml.topic.qname "%vuxml.pfx;topic" >
<!ENTITY % vuxml.affects.qname "%vuxml.pfx;affects" >
<!ENTITY % vuxml.package.qname "%vuxml.pfx;package" >
<!ENTITY % vuxml.system.qname "%vuxml.pfx;system" >
<!ENTITY % vuxml.name.qname "%vuxml.pfx;name" >
<!ENTITY % vuxml.range.qname "%vuxml.pfx;range" >
<!ENTITY % vuxml.lt.qname "%vuxml.pfx;lt" >
<!ENTITY % vuxml.le.qname "%vuxml.pfx;le" >
<!ENTITY % vuxml.gt.qname "%vuxml.pfx;gt" >
<!ENTITY % vuxml.ge.qname "%vuxml.pfx;ge" >
<!ENTITY % vuxml.eq.qname "%vuxml.pfx;eq" >
<!ENTITY % vuxml.description.qname "%vuxml.pfx;description" >
<!ENTITY % vuxml.references.qname "%vuxml.pfx;references" >
<!ENTITY % vuxml.url.qname "%vuxml.pfx;url" >
<!ENTITY % vuxml.cvename.qname "%vuxml.pfx;cvename" >
<!ENTITY % vuxml.freebsdsa.qname "%vuxml.pfx;freebsdsa" >
<!ENTITY % vuxml.bid.qname "%vuxml.pfx;bid" >
<!ENTITY % vuxml.certsa.qname "%vuxml.pfx;certsa" >
<!ENTITY % vuxml.certvu.qname "%vuxml.pfx;certvu" >
<!ENTITY % vuxml.dates.qname "%vuxml.pfx;dates" >
<!ENTITY % vuxml.discovery.qname "%vuxml.pfx;discovery" >
<!ENTITY % vuxml.entry.qname "%vuxml.pfx;entry" >
<!ENTITY % vuxml.modified.qname "%vuxml.pfx;modified" >


<!-- Elements and Structure -->

<!--
The top level element is the `vuxml' element,
which contains individual `vuln' entries.  The `version'
attribute specifies the document model in use.  For the
current version of VuXML, this should be

    <vuxml version="1.0">...</vuxml>
-->
<!ELEMENT %vuxml.vuxml.qname; ( %vuxml.vuln.qname; )* >
<!ATTLIST %vuxml.vuxml.qname;
	%vuxml.version.attrib;
	%vuxml.Common.attrib;
>

<!--
Each `vuln' element represents a single security
vulnerability and is assigned a UUID as a unique key, which
is given by the mandatory `vid' attribute in string format.

Example.

    <vuln vid="7cd910e7-327f-11d8-af8b-000a95c4d922">
      ...
    </vuln>
-->
<!ELEMENT %vuxml.vuln.qname;
	( %vuxml.topic.qname;,
	  %vuxml.affects.qname;,
	  %vuxml.description.qname;,
	  %vuxml.references.qname;,
	  %vuxml.dates.qname; )
>
<!ATTLIST %vuxml.vuln.qname;
	vid CDATA #REQUIRED
	%vuxml.Common.attrib;
>

<!--
A one-line description of the vulnerability.

Example.

    <topic>ElGamal sign+encrypt keys created by GnuPG can be
      compromised</topic>
-->
<!ELEMENT %vuxml.topic.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.topic.qname; %vuxml.Common.attrib; >

<!--
The `affects' element contains `package's and `system's that are
impacted by the vulnerability.  Each `package' element specifies the
package `name's and `range's of versions which are impacted by the
vulnerability.  The `name' element contains a package name without
version information, but including any suffixes, prefixes, or other
adornments according to the package system.  The `range' element
contains `lt', `gt', `le', `ge', and/or `eq' attributes as appropriate
to specify the affected versions.  The version ranges given must not
overlap.

Example.  If BIND versions 8.3.x before 8.3.7 and versions
8.4.x before 8.4.3 are affected:

      <package>
        <name>bind</name>
	<range><ge>8.3</ge><lt>8.3.7</lt></range>
	<range><ge>8.4</ge><lt>8.4.3</lt></range>
      </package>

Example.  The `normal' and `japanese' versions of Mutt 1.5.4
port revision 1 is affected.

    <package>
      <name>mutt</name>
      <name>ja-mutt</name>
      <range><eq>1.5.4_1</eg></range>
    </package>

The `system' element is identical to the `package' element, but
specifies the impacted operating systems and versions instead.

-->
<!ELEMENT %vuxml.affects.qname;
	( %vuxml.package.qname; |
	  %vuxml.system.qname; )+
>
<!ATTLIST %vuxml.affects.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.package.qname;
        ( ( %vuxml.name.qname; )+,
	  ( %vuxml.range.qname; )+ )
>
<!ATTLIST %vuxml.package.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.system.qname;
        ( ( %vuxml.name.qname; )+,
	  ( %vuxml.range.qname; )+ )
>
<!ATTLIST %vuxml.system.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.name.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.name.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.range.qname;
	( %vuxml.lt.qname; |
	  %vuxml.le.qname; |
	  %vuxml.eq.qname; |
	  ( %vuxml.gt.qname;, ( %vuxml.lt.qname; | %vuxml.le.qname; )? ) |
	  ( %vuxml.ge.qname;, ( %vuxml.lt.qname; | %vuxml.le.qname; )? ) )
>
<!ATTLIST %vuxml.range.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.lt.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.lt.qname; %vuxml.Common.attrib; >
<!ELEMENT %vuxml.le.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.le.qname; %vuxml.Common.attrib; >
<!ELEMENT %vuxml.gt.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.gt.qname; %vuxml.Common.attrib; >
<!ELEMENT %vuxml.ge.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.ge.qname; %vuxml.Common.attrib; >
<!ELEMENT %vuxml.eq.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.eq.qname; %vuxml.Common.attrib; >


<!--
The `description' element contains XHTML markup explaining,
at minimum, the vulnerability and its impact.  Also
encouraged are pre-requisites or specific configurations
which are affected, and possible workarounds.  References
should not be mentioned here, but in the `references'
element (see below).

Exactly one XHTML `body' element must be present, and it
must be valid XHTML Basic 1.0 as given in PUBLIC
"-//W3C//DTD XHTML Basic 1.0//EN".  Additionally, certain
XHTML constructs are prohibited: <form>s, <param>s, and
<object>s.

-->
<!ELEMENT %vuxml.description.qname; ( %body.qname; ) >
<!ATTLIST %vuxml.description.qname; %vuxml.Common.attrib; >

<!--
The `references' element must contain at least one item of
the following:

  url           A URL.  This resource type should only be
                used when none of the others apply.

  cvename       The CVE Name from Mitre's Common
		Vulnerabilities and Exposures project,
		e.g. <cvename>CAN-2003-0914</cvename>.

  bid           A SecurtyFocus.com Bug ID, e.g.
                <bid>1241</bid>.

  certsa        A CERT/CC security advisory, e.g.
                <certsa>CERT-2003-10</certsa>.

  certvu        A CERT/CC vulnerability note, e.g.
                <certvu>734644</certvu>.

  freebsdsa     A FreeBSD security advisory, e.g.
  		<freebsdsa>SA-03:19</freebsdsa>.

As many references as apply are encouraged.
-->
<!ELEMENT %vuxml.references.qname;
	( %vuxml.url.qname; |
	  %vuxml.cvename.qname; |
	  %vuxml.bid.qname; |
	  %vuxml.certsa.qname;|
	  %vuxml.certvu.qname; |
	  %vuxml.freebsdsa.qname; )+
>
<!ATTLIST %vuxml.references.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.url.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.url.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.cvename.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.cvename.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.bid.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.bid.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.certsa.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.certsa.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.certvu.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.certvu.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.freebsdsa.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.freebsdsa.qname; %vuxml.Common.attrib; >

<!--
Dates relevant to the vulnerability are recorded as part of
the `dates' element:

    discovery  Day when first disclosed.
    entry      Day when added to this database.
    modified   Last day any information was changed.

The `discovery' and `entry' elements are mandatory.  The
`modified' entry should only be present if information in
the entry was changed after the `entry' date.

The date format is YYYY-MM-DD.

Example.  A very old vulnerability, first disclosed in 2000,
is added to the database on December 12, 2003.

    <dates>
      <discovery>2000-05-23</discovery>
      <entry>2003-12-12</entry>
    </dates>
-->
<!ELEMENT %vuxml.dates.qname;
	( %vuxml.discovery.qname;,
	  %vuxml.entry.qname;,
	  ( %vuxml.modified.qname; )? )
>
<!ATTLIST %vuxml.dates.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.discovery.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.discovery.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.entry.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.entry.qname; %vuxml.Common.attrib; >

<!ELEMENT %vuxml.modified.qname; ( #PCDATA ) >
<!ATTLIST %vuxml.modified.qname; %vuxml.Common.attrib; >

<!ENTITY % xhtml-basic-model.mod
	PUBLIC "-//W3C//ENTITIES XHTML Basic 1.0 Document Model 1.0//EN"
	"http://www.w3.org/TR/xhtml-basic/xhtml-basic10-model-1.mod"
>
%xhtml-basic-model.mod;
